## NMDeviceMacvlan NMDeviceMacvlan |

## Functions

NMDevice * | nm_device_macvlan_get_parent ()
const char * | nm_device_macvlan_get_mode ()
gboolean | nm_device_macvlan_get_no_promisc ()
gboolean | nm_device_macvlan_get_tap ()
4 | NM_DEPRECATED_IN_1_24_FOR ()

## Properties

char * | mode | Read
gboolean | no-promisc | Read
NMDevice * | parent | Read
gboolean | tap | Read

## Types and Values

#define | NM_DEVICE_MACVLAN_PARENT
#define | NM_DEVICE_MACVLAN_MODE
#define | NM_DEVICE_MACVLAN_NO_PROMISC
#define | NM_DEVICE_MACVLAN_TAP
#define | NM_DEVICE_MACVLAN_HW_ADDRESS
| NMDeviceMacvlan

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceMacvlan

## Description

## Functions

### nm_device_macvlan_get_parent ()

    NMDevice *
    nm_device_macvlan_get_parent (NMDeviceMacvlan *device);

#### Parameters

device | a NMDeviceMacvlan |

#### Returns

the device's parent device.

[transfer none]

Since: 1.2

### nm_device_macvlan_get_mode ()

    const char *
    nm_device_macvlan_get_mode (NMDeviceMacvlan *device);

Gets the MACVLAN mode of the device.

#### Parameters

device | a NMDeviceMacvlan |

#### Returns

the MACVLAN mode. This is the internal string used by the device, and must not be modified.

Since: 1.2

### nm_device_macvlan_get_no_promisc ()

    gboolean
    nm_device_macvlan_get_no_promisc (NMDeviceMacvlan *device);

Gets the no-promiscuous flag of the device.

#### Parameters

device | a NMDeviceMacvlan |

#### Returns

the no-promiscuous flag of the device.

Since: 1.2

### nm_device_macvlan_get_tap ()

    gboolean
    nm_device_macvlan_get_tap (NMDeviceMacvlan *device);

Gets the device type (MACVLAN or MACVTAP).

#### Parameters

device | a NMDeviceMacvlan |

#### Returns

`TRUE` if the device is a MACVTAP, `FALSE` if it is a MACVLAN.

Since: 1.2

### NM_DEPRECATED_IN_1_24_FOR ()

    4
    NM_DEPRECATED_IN_1_24_FOR ();

`NM_DEPRECATED_IN_1_24_FOR` is deprecated and should not be used in newly-written code.

## Types and Values

### NM_DEVICE_MACVLAN_PARENT

    #define NM_DEVICE_MACVLAN_PARENT     "parent"

### NM_DEVICE_MACVLAN_MODE

    #define NM_DEVICE_MACVLAN_MODE       "mode"

### NM_DEVICE_MACVLAN_NO_PROMISC

    #define NM_DEVICE_MACVLAN_NO_PROMISC "no-promisc"

### NM_DEVICE_MACVLAN_TAP

    #define NM_DEVICE_MACVLAN_TAP        "tap"

### NM_DEVICE_MACVLAN_HW_ADDRESS

    #define NM_DEVICE_MACVLAN_HW_ADDRESS "hw-address"

### NMDeviceMacvlan

    typedef struct _NMDeviceMacvlan NMDeviceMacvlan;

## Property Details

### The `“mode”` property

      “mode”                     char *

The MACVLAN mode.

Owner: NMDeviceMacvlan

Flags: Read

Default value: NULL

Since: 1.2

### The `“no-promisc”` property

      “no-promisc”               gboolean

Whether the device has the no-promiscuos flag.

Owner: NMDeviceMacvlan

Flags: Read

Default value: FALSE

Since: 1.2

### The `“parent”` property

      “parent”                   NMDevice *

The devices's parent device.

Owner: NMDeviceMacvlan

Flags: Read

Since: 1.2

### The `“tap”` property

      “tap”                      gboolean

Whether the device is a MACVTAP.

Owner: NMDeviceMacvlan

Flags: Read

Default value: FALSE

Since: 1.2